/* *********************************************************************** *
 * Copyright (C) 2009 by Ulrich Van Den Hekke                              *
 * ulrich.vdh@shadoware.org                                                *
 *                                                                         *
 * This program is free software: you can redistribute it and/or modify    *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * This program is distributed in the hope that it will be useful,         *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
 * *********************************************************************** */

#ifndef XMLPARSERBENCHMARK_H
#define XMLPARSERBENCHMARK_H

#include <QObject>

class XmlParserBenchmark : public QObject {
    Q_OBJECT
private:
	QStringList listOfXml();
private slots:
	void qtDomParser_data();
	void libxml2DomParser_data();
	void libexpatParser_data();
	void oracleParser_data();
	void scewParser_data();
	void tinyXmlParser_data();
	void xercesCppParser_data();

	void qtDomParser();
	void libxml2DomParser();
	void libexpatParser();
	void oracleParser();
	void scewParser();
	void tinyXmlParser();
	void xercesCppParser();
};

#endif // XMLPARSERBENCHMARK_H
